Index: admin/post.php
===================================================================
--- admin/post.php	(revision 873)
+++ admin/post.php	(revision 877)
@@ -18,5 +18,4 @@
 $post_dt = '';
 $post_format = $core->auth->getOption('post_format');
-$post_password = '';
 $post_url = '';
 $post_lang = $core->auth->getInfo('user_lang');
@@ -90,5 +89,4 @@
 		$post_dt = date('Y-m-d H:i',strtotime($post->post_dt));
 		$post_format = $post->post_format;
-		$post_password = $post->post_password;
 		$post_url = $post->post_url;
 		$post_lang = $post->post_lang;
@@ -149,5 +147,4 @@
 	$post_selected = !empty($_POST['post_selected']);
 	$post_lang = $_POST['post_lang'];
-	$post_password = !empty($_POST['post_password']) ? $_POST['post_password'] : null;
 	
 	$post_notes = $_POST['post_notes'];
@@ -171,5 +168,4 @@
 	$cur->post_dt = $post_dt ? date('Y-m-d H:i:00',strtotime($post_dt)) : '';
 	$cur->post_format = $post_format;
-	$cur->post_password = $post_password;
 	$cur->post_lang = $post_lang;
 	$cur->post_title = $post_title;
@@ -389,8 +385,4 @@
 	'</label></p>'.
 	
-	'<p><label for="post_password">'.__('Entry password:').
-	form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
-	'</label></p>'.
-	
 	'<div class="lockable">'.
 	'<p><label for="post_url">'.__('Basename:').
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 873)
+++ inc/admin/lib.pager.php	(revision 877)
@@ -90,9 +90,4 @@
 		}
 		
-		$protected = '';
-		if ($item->post_password) {
-			$protected = sprintf($img,__('protected'),'locker.png');
-		}
-		
 		$selected = '';
 		if ($item->post_selected) {
@@ -111,5 +106,5 @@
 		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$item->post_dt).'</td>'.
 		'<td class="nowrap">'.$item->user_id.'</td>'.
-		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.'</td>'.
+		'<td class="nowrap status">'.$img_status.' '.$selected.'</td>'.
 		'</tr>';
 		
@@ -180,9 +175,4 @@
 		}
 		
-		$protected = '';
-		if ($item->post_password) {
-			$protected = sprintf($img,__('protected'),'locker.png');
-		}
-		
 		$selected = '';
 		if ($item->post_selected) {
@@ -200,5 +190,5 @@
 		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$item->post_dt).'</td>'.
 		'<td class="nowrap">'.$item->user_id.'</td>'.
-		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.'</td>'.
+		'<td class="nowrap status">'.$img_status.' '.$selected.'</td>'.
 		'</tr>';
 		
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 875)
+++ inc/core/class.dc.blog.php	(revision 877)
@@ -227,5 +227,5 @@
 			$strReq =
 			'SELECT P.post_id, P.blog_id, P.user_id, post_dt, '.
-			'post_tz, post_creadt, post_upddt, post_format, post_password, '.
+			'post_tz, post_creadt, post_upddt, post_format, '.
 			'post_url, post_lang, post_title, '.$content_req.
 			'post_type, post_meta, post_status, post_selected, post_position, '.
@@ -246,10 +246,5 @@
 		
 		if (!$this->core->auth->check('contentadmin',$this->id)) {
-			$strReq .= 'AND ((post_status = 1 ';
-			
-			if ($this->without_password) {
-				$strReq .= 'AND post_password IS NULL ';
-			}
-			$strReq .= ') ';
+			$strReq .= 'AND ((post_status = 1) ';
 			
 			if ($this->core->auth->userID()) {
@@ -436,10 +431,5 @@
 		
 		if (!$this->core->auth->check('contentadmin',$this->id)) {
-			$strReq .= 'AND ((post_status = 1 ';
-			
-			if ($this->without_password) {
-				$strReq .= 'AND post_password IS NULL ';
-			}
-			$strReq .= ') ';
+			$strReq .= 'AND ((post_status = 1) ';
 			
 			if ($this->core->auth->userID()) {
@@ -518,10 +508,5 @@
 		
 		if (!$this->core->auth->check('contentadmin',$this->id)) {
-			$strReq .= 'AND ((post_status = 1 ';
-			
-			if ($this->without_password) {
-				$strReq .= 'AND post_password IS NULL ';
-			}
-			$strReq .= ') ';
+			$strReq .= 'AND ((post_status = 1) ';
 			
 			if ($this->core->auth->userID()) {
@@ -905,8 +890,4 @@
 		}
 		
-		if ($cur->post_password === '') {
-			$cur->post_password = null;
-		}
-		
 		if ($cur->post_dt == '') {
 			$offset = dt::getTimeOffset($this->core->auth->getInfo('user_tz'));
Index: inc/core/class.dc.meta.php
===================================================================
--- inc/core/class.dc.meta.php	(revision 873)
+++ inc/core/class.dc.meta.php	(revision 877)
@@ -317,10 +317,5 @@
 		
 		if (!$this->core->auth->check('contentadmin',$this->core->blog->id)) {
-			$strReq .= 'AND ((post_status = 1 ';
-			
-			if ($this->core->blog->without_password) {
-				$strReq .= 'AND post_password IS NULL ';
-			}
-			$strReq .= ') ';
+			$strReq .= 'AND ((post_status = 1) ';
 			
 			if ($this->core->auth->userID()) {
Index: inc/core/class.dc.xmlrpc.php
===================================================================
--- inc/core/class.dc.xmlrpc.php	(revision 873)
+++ inc/core/class.dc.xmlrpc.php	(revision 877)
@@ -305,8 +305,4 @@
 		}
 		
-		if (isset($struct['wp_password'])) {
-			$cur->post_password = $struct['wp_password'];
-		}
-		
 		$cur->post_type = 'post';
 		if (!empty($struct['post_type'])) {
@@ -398,8 +394,4 @@
 		if (isset($struct['wp_slug'])) {
 			$cur->post_url = $struct['wp_slug'];
-		}
-		
-		if (isset($struct['wp_password'])) {
-			$cur->post_password = $struct['wp_password'];
 		}
 		
@@ -728,5 +720,4 @@
 				"text_more"			=> '',
 				"wp_slug"				=> $post->post_url,
-				"wp_password"			=> $post->post_password,
 				"wp_author"			=> $post->getAuthorCN(),
 				"wp_page_parent_id"		=> 0,
Index: inc/dbschema/db-schema.php
===================================================================
--- inc/dbschema/db-schema.php	(revision 852)
+++ inc/dbschema/db-schema.php	(revision 877)
@@ -91,5 +91,4 @@
 	->post_creadt			('timestamp',	0,	false,	'now()')
 	->post_upddt			('timestamp',	0,	false,	'now()')
-	->post_password		('varchar',	32,	true,	null)
 	->post_type			('varchar',	32,	false,	"'post'")
 	->post_format			('varchar',	32,	false,	"'xhtml'")
Index: inc/public/lib.urlhandlers.php
===================================================================
--- inc/public/lib.urlhandlers.php	(revision 876)
+++ inc/public/lib.urlhandlers.php	(revision 877)
@@ -315,30 +315,4 @@
 			{
 				$post_id = $_ctx->posts->post_id;
-				$post_password = $_ctx->posts->post_password;
-				
-				# Password protected entry
-				if ($post_password != '' && !$_ctx->preview)
-				{
-					# Get passwords cookie
-					if (isset($_COOKIE['dc_passwd'])) {
-						$pwd_cookie = unserialize($_COOKIE['dc_passwd']);
-					} else {
-						$pwd_cookie = array();
-					}
-					
-					# Check for match
-					if ((!empty($_POST['password']) && $_POST['password'] == $post_password)
-					|| (isset($pwd_cookie[$post_id]) && $pwd_cookie[$post_id] == $post_password))
-					{
-						$pwd_cookie[$post_id] = $post_password;
-						setcookie('dc_passwd',serialize($pwd_cookie),0,'/');
-					}
-					else
-					{
-						self::serveDocument('password-form.html','text/html',false);
-						return;
-					}
-				}
-				
 				# The entry
 				self::serveDocument('post.html');
Index: plugins/importExport/inc/flat/class.flat.import.php
===================================================================
--- plugins/importExport/inc/flat/class.flat.import.php	(revision 841)
+++ plugins/importExport/inc/flat/class.flat.import.php	(revision 877)
@@ -440,6 +440,4 @@
 		}
 		
-		$post_password = $post->post_password ? (string) $post->post_password : null;
-		
 		$this->cur_post->post_id            = (integer) $post->post_id;
 		$this->cur_post->blog_id            = (string) $post->blog_id;
@@ -449,5 +447,4 @@
 		$this->cur_post->post_creadt        = (string) $post->post_creadt;
 		$this->cur_post->post_upddt         = (string) $post->post_upddt;
-		$this->cur_post->post_password      = $post_password;
 		$this->cur_post->post_type          = (string) $post->post_type;
 		$this->cur_post->post_format        = (string) $post->post_format;
Index: plugins/pages/_public.php
===================================================================
--- plugins/pages/_public.php	(revision 727)
+++ plugins/pages/_public.php	(revision 877)
@@ -61,123 +61,4 @@
 			{
 				$post_id = $_ctx->posts->post_id;
-				$post_password = $_ctx->posts->post_password;
-				
-				# Password protected entry
-				if ($post_password != '' && !$_ctx->preview)
-				{
-					# Get passwords cookie
-					if (isset($_COOKIE['dc_passwd'])) {
-						$pwd_cookie = unserialize($_COOKIE['dc_passwd']);
-					} else {
-						$pwd_cookie = array();
-					}
-					
-					# Check for match
-					if ((!empty($_POST['password']) && $_POST['password'] == $post_password)
-					|| (isset($pwd_cookie[$post_id]) && $pwd_cookie[$post_id] == $post_password))
-					{
-						$pwd_cookie[$post_id] = $post_password;
-						setcookie('dc_passwd',serialize($pwd_cookie),0,'/');
-					}
-					else
-					{
-						self::serveDocument('password-form.html','text/html',false);
-						return;
-					}
-				}
-				
-				$post_comment =
-					isset($_POST['c_name']) && isset($_POST['c_mail']) &&
-					isset($_POST['c_site']) && isset($_POST['c_content']) &&
-					$_ctx->posts->commentsActive();
-				
-				# Posting a comment
-				if ($post_comment)
-				{
-					# Spam trap
-					if (!empty($_POST['f_mail'])) {
-						http::head(412,'Precondition Failed');
-						header('Content-Type: text/plain');
-						echo "So Long, and Thanks For All the Fish";
-						# Exits immediately the application to preserve the server.
-						exit;
-					}
-					
-					$name = $_POST['c_name'];
-					$mail = $_POST['c_mail'];
-					$site = $_POST['c_site'];
-					$content = $_POST['c_content'];
-					$preview = !empty($_POST['preview']);
-					
-					if ($content != '')
-					{
-						if ($core->blog->settings->system->wiki_comments) {
-							$core->initWikiComment();
-						} else {
-							$core->initWikiSimpleComment();
-						}
-						$content = $core->wikiTransform($content);
-						$content = $core->HTMLfilter($content);
-					}
-					
-					$_ctx->comment_preview['content'] = $content;
-					$_ctx->comment_preview['rawcontent'] = $_POST['c_content'];
-					$_ctx->comment_preview['name'] = $name;
-					$_ctx->comment_preview['mail'] = $mail;
-					$_ctx->comment_preview['site'] = $site;
-					
-					if ($preview)
-					{
-						# --BEHAVIOR-- publicBeforeCommentPreview
-						$core->callBehavior('publicBeforeCommentPreview',$_ctx->comment_preview);
-						
-						$_ctx->comment_preview['preview'] = true;
-					}
-					else
-					{
-						# Post the comment
-						$cur = $core->con->openCursor($core->prefix.'comment');
-						$cur->comment_author = $name;
-						$cur->comment_site = html::clean($site);
-						$cur->comment_email = html::clean($mail);
-						$cur->comment_content = $content;
-						$cur->post_id = $_ctx->posts->post_id;
-						$cur->comment_status = $core->blog->settings->system->comments_pub ? 1 : -1;
-						$cur->comment_ip = http::realIP();
-						
-						$redir = $_ctx->posts->getURL();
-						$redir .= $core->blog->settings->system->url_scan == 'query_string' ? '&' : '?';
-						
-						try
-						{
-							if (!text::isEmail($cur->comment_email)) {
-								throw new Exception(__('You must provide a valid email address.'));
-							}
-							
-							# --BEHAVIOR-- publicBeforeCommentCreate
-							$core->callBehavior('publicBeforeCommentCreate',$cur);
-							if ($cur->post_id) {					
-								$comment_id = $core->blog->addComment($cur);
-							
-								# --BEHAVIOR-- publicAfterCommentCreate
-								$core->callBehavior('publicAfterCommentCreate',$cur,$comment_id);
-							}
-							
-							if ($cur->comment_status == 1) {
-								$redir_arg = 'pub=1';
-							} else {
-								$redir_arg = 'pub=0';
-							}
-							
-							header('Location: '.$redir.$redir_arg);
-						}
-						catch (Exception $e)
-						{
-							$_ctx->form_error = $e->getMessage();
-							$_ctx->form_error;
-						}
-					}
-				}
-				
 				# The entry
 				$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates');
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 578)
+++ plugins/pages/list.php	(revision 877)
@@ -79,9 +79,4 @@
 		}
 		
-		$protected = '';
-		if ($this->rs->post_password) {
-			$protected = sprintf($img,__('protected'),'locker.png');
-		}
-		
 		$selected = '';
 		if ($this->rs->post_selected) {
@@ -109,5 +104,5 @@
 		'<td class="nowrap">'.$this->rs->nb_comment.'</td>'.
 		'<td class="nowrap">'.$this->rs->nb_trackback.'</td>'.
-		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'.
+		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$attach.'</td>'.
 		'</tr>';
 		
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 854)
+++ plugins/pages/page.php	(revision 877)
@@ -18,5 +18,4 @@
 $post_dt = '';
 $post_format = $core->auth->getOption('post_format');
-$post_password = '';
 $post_url = '';
 $post_lang = $core->auth->getInfo('user_lang');
@@ -95,5 +94,4 @@
 		$post_dt = date('Y-m-d H:i',strtotime($post->post_dt));
 		$post_format = $post->post_format;
-		$post_password = $post->post_password;
 		$post_url = $post->post_url;
 		$post_lang = $post->post_lang;
@@ -161,5 +159,4 @@
 	$post_open_tb = !empty($_POST['post_open_tb']);
 	$post_lang = $_POST['post_lang'];
-	$post_password = !empty($_POST['post_password']) ? $_POST['post_password'] : null;
 	$post_position = (integer) $_POST['post_position'];
 	
@@ -188,5 +185,4 @@
 	$cur->post_dt = $post_dt ? date('Y-m-d H:i:00',strtotime($post_dt)) : '';
 	$cur->post_format = $post_format;
-	$cur->post_password = $post_password;
 	$cur->post_lang = $post_lang;
 	$cur->post_title = $post_title;
@@ -433,8 +429,4 @@
 	form::combo('post_lang',$lang_combo,$post_lang).'</label></p>'.
 	
-	'<p><label for="post_password">'.__('Page password:').
-	form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
-	'</label></p>'.
-	
 	'<div class="lockable">'.
 	'<p><label for="post_url">'.__('Basename:').
